Fetch multiple locations

Returns data for the specified location identifiers in the items property of the response. If no data is found for a location identifier, it appears in the missing property.

Query Params
ids
array of objects
required
length between 1 and 50

A comma separated list of unique charging location identifiers. Only the last components of colon-separated identifiers are used to index the data. The other components are optional.

ids*

Charging location identifier with optional prefix components separated by colon. Only the last component is relevant for data retrieval.

fields
array of strings, unique

The fields parameter allows requesting additional fields in addition
to the minimal set of fields to control the amount of data returned.
The minimal set of fields is defined as follows:

  • id
  • location
  • name
  • operator
  • suboperator
  • restrictions
  • supportedVehicles

Additional fields can be requested according to the following table. The fields
can be freely combined in the query. However some fields have dependencies to
other fields as listed in the table. If a field is not present in the data, it
will be left out of the response.

Fields-queryReturned fields
address'address' in full details
evses'evses' in full details, including 'connectors', 'maxPower', 'standard', 'status' etc
RESTRICTED truckRestrictions'truckRestrictions', 'vehicleLimitations', 'isPullThrough', 'evse.vehicleTypes', 'evse.vehicleLimitations', 'evse.noClearanceHeight'
locationInfo'accessPoints', 'parkingType', 'supportPhoneNumber', 'timeZone', 'isPullThrough', 'openingHours', 'energyMix', 'cpoLocationId', 'reservationRequired'
emsps'eMobilityServiceProviders'
connectorGroups'connectorGroups', a summary of connectors grouped by max power and type. If also evses-field is requested, the groups include references to EVSEs and connectors.
RESTRICTED predictions'predictions' in charging location level. If also 'connectorGroups'-field is requested, gives predictions also in 'connectorGroups'.
ALPHA RESTRICTED reliability'reliability' indicators for 'evses' and 'connectorGroups'. Ignored if requested without 'evses' or 'connectorGroups' fields.
tariffs'tariffs' for 'connectors' / 'connectorGroups'. Ignored if requested without 'evses' or 'connectorGroups' fields.
nearbyALPHA 'nearbyPlaces', 'facilityTypes', 'hasMoreNearbyPlaces'
integer
1 to 7
Defaults to 2

Data is retrieved starting from the current day, based on the local time zone of
the location. Currently applies to data from the following fields: predictions.

If no parameter is provided, the default value is 2, which returns data for the
current day and the following day.

If a parameter is provided, the system attempts to return data for the specified
number of days, starting from today.

The actual number of days returned may be fewer than requested, depending on data
availability.

tariff
array of strings
length ≤ 50

Search option to choose the eMSP or CPO whose tariff the client wants
to see in the response. This parameter is effective only if the fields is
configured to return tariffs.

Supported values:

  • no tariff parameter: return ad-hoc tariffs only
  • all: return all available tariffs (CPO + eMSP + Ad-hoc)
  • adhoc: return ad-hoc tariffs only
  • cpo: return all CPO tariffs
  • emsp: return all eMSP tariffs
  • partner:<partnerId>: return all tariffs for the specified partner
  • partner:<partnerId>;name=<tariffName>[,<tariffName>...]: return the
    specified tariff names for the partner
  • <partnerId>: return all tariffs for the specified partner + Ad-hoc
    tariffs
  • <partnerId>,<tariffName>[,<tariffName>...]: return the specified
    tariff names for the partner + Ad-hoc tariffs

The tariff query parameter can be included multiple times to request
multiple filters. Group keywords such as cpo and emsp must be sent as
separate parameter values and cannot be combined with a partnerId in the
same tariff entry. The legacy format
<partnerId>[,<tariffName>...] remains supported for backward
compatibility and continues to include Ad-hoc tariffs. New integrations
are recommended to use
partner:<partnerId>[;name=<tariffName>[,<tariffName>...]].

The input is expected to be based on the response from the CountryMetadata
endpoint, including only eMSPs / CPOs that are relevant for the client.

Some eMSPs provide several tariffs (subscriptions / charge cards). The end user
is expected to subscribe to only a few of them, and is hence expected to be
interested in only the related tariffs. The available tariffs are listed in the
CountryMetadata response. If tariff name is not set or the name does not match
with the tariffs of the provider, all available tariffs for that provider for the
charging location are returned.

As tariff names may occasionally change, the client is encouraged to monitor
the list by regularly fetching the latest list of tariff names per eMSP or CPO
from the CountryMetadata endpoint.

If the returned tariffs for multiple locations do not contain a requested tariff
by the name, the client is recommended to try searching without any names.
If still no tariffs were returned, the reason may be that there are no tariffs
available for the locations, or that the partner has no roaming agreement for the
locations.

If the search by partnerId succeeds, the used tariff name may be outdated and the
client need to update the list from the CountryMetadata endpoint.

This search cannot be used to filter out locations not covered by the specified
eMSPs / CPOs.

tariff
connectorTypes
array of objects, unique
length between 1 and 5

Filter charging locations to only contain EVSEs and connector groups matching the
requested connector types.

This can reduce response size by returning only relevant data. Locations that
don't contain EVSEs matching the requested connector types aren't included in
the response.

Provide a comma-separated list of connector type identifiers, as defined in the
ConnectorType schema. If you don't specify this parameter, the response includes
all connector types and no filtering is applied.

Connector types represent physical standards for EV charging connectors, such as
IEC_62196_T2 and CHADEMO.

For a complete list of supported values, see the ConnectorType schema.

connectorTypes
Headers
string

User-provided token that can be used to trace a request or a group of requests sent to the service

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json